<div class="list row" *ngIf="tasks?.length == 0">
  <h1>Nenhuma task cadastrada</h1>
</div>
<div class="list row" *ngIf="tasks.length > 0">
    <div class="col-md-6">
      <h4>Tasks</h4>
      <ul class="list-group">
        <li
          class="list-group-item"
          *ngFor="let task of tasks; let i = index"
          [class.active]="i == indiceSelecionado"
          (click)="selecionaTask(task, i)">
          <ul><b>Título: </b>{{ task.titulo }}</ul>
          <ul><b>Descrição: </b>{{ task.descricao }}</ul> 
        </li>
      </ul>
    </div>
    <div class="col-md-6">
      <div *ngIf="taskSelecionada">
        <h4>Task</h4>
        <div>
          <label><strong>Título:</strong></label> {{ taskSelecionada.titulo }}
        </div>
        <div>
          <label><strong>Descrição:</strong></label> {{ taskSelecionada.descricao }}
        </div>
        <div>
          <label><strong>Status:</strong></label>
          {{ taskSelecionada.concluido ? "Concluída" : "Pendente" }}
        </div>
        <div>
          <label><strong>Criado em:</strong></label>
          {{ taskSelecionada.dataCriacao | date: 'medium' }}
        </div>
        <div *ngIf="taskSelecionada.dataAtualizacao != taskSelecionada.dataCriacao">
          <label><strong>Atualizado em:</strong></label>
          {{ taskSelecionada.dataAtualizacao | date: 'medium'}}
        </div>

        <a class="m-3 btn btn-sm btn-warning" href="/tasks/{{ taskSelecionada.id }}">
          Editar
        </a>
        <a class="m-3 btn btn-sm btn-danger" (click)="removerTask()">
          Remover
        </a>
      </div>
  
      <div *ngIf="!taskSelecionada">
        <br />
        <p>Clique na task desejada...</p>
      </div>
    </div>
  </div>
  <app-toasts></app-toasts>
  